## AmtkGmenu

AmtkGmenu — GMenu convenience functions

## Functions

void | amtk_gmenu_append_item ()
void | amtk_gmenu_append_section ()

## Includes

    #include <amtk/amtk.h>

## Description

GMenu convenience functions.

## Functions

### amtk_gmenu_append_item ()

    void
    amtk_gmenu_append_item (GMenu *menu,
                            GMenuItem *item);

Like `g_menu_append_item()` but with (transfer full) for the `item` parameter.

#### Parameters

menu | a GMenu. |
item | a GMenuItem to append. | [transfer full]

Since: 5.0

### amtk_gmenu_append_section ()

    void
    amtk_gmenu_append_section (GMenu *menu,
                               const gchar *label,
                               GMenu *section);

Like `g_menu_append_section()` but with (transfer full) and a different type for the `section` parameter, and calls `g_menu_freeze()` on `section` .

#### Parameters

menu | a GMenu. |
label | the section label, or `NULL`. | [nullable]
section | a GMenu with the items of the section. | [transfer full]

Since: 5.0